package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.core.basic.api.OrgCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetOrgListByNameLikeReq;
import cn.com.qmth.examcloud.core.basic.api.request.OrgReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetOrgListByNameLikeResp;
import cn.com.qmth.examcloud.core.basic.api.response.OrgResp;

/**
 * 机构服务客户端
 * 
 * @author chenken
 * @date 2018年5月4日 下午3:28:53
 * @company QMTH
 * @description OrgCloudServiceClient.java
 */
@Service
public class OrgCloudServiceClient extends BasicCloudClientSupport implements OrgCloudService {

	@Autowired
	RestTemplate restTemplate;

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public OrgResp saveOrg(OrgReq orgReq) {
		return post("org/saveOrg", orgReq, OrgResp.class);
	}

	@Override
	public GetOrgListByNameLikeResp getOrgListByNameLike(GetOrgListByNameLikeReq req) {
		return post("org/getOrgListByNameLike", req, GetOrgListByNameLikeResp.class);
	}

}
