package cn.com.qmth.examcloud.core.basic.api.controller;

import java.util.List;
import java.util.Map;

import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.basic.dao.entity.Permission;
import cn.com.qmth.examcloud.core.basic.service.impl.PermissionService;
import cn.com.qmth.examcloud.core.basic.service.impl.RolePermissionRelationService;

@RestController
@RequestMapping("${app.api.root}/permission")
public class PermissionController {

	@Autowired
	private PermissionService permissionService;
	
	@Autowired
	private RolePermissionRelationService rolePermissionRelationService;
	
	@ApiOperation(value="按系统查询权限",notes="按系统查询权限")
    @GetMapping("/{systemName}")
	public ResponseEntity findAllPermission(@PathVariable String systemName){
		Map<String,List<Permission>> returnMap = permissionService.findPermissionsBySystem(systemName);
		return new ResponseEntity(returnMap, HttpStatus.OK);
	}
	
	@ApiOperation(value="保存权限",notes="保存权限")
    @PostMapping
	public ResponseEntity savePermission(@RequestBody Permission permission){
		permissionService.savePermission(permission);
		return new ResponseEntity(HttpStatus.OK);
	}
	
	//by weiwenhai
	@ApiOperation(value="删除菜单权限",notes="删除菜单权限")
	@DeleteMapping("/{id}")
	public ResponseEntity deletePermission(@PathVariable String id){
		Integer permissionId = Integer.valueOf(id);
		Map<String,String> map = permissionService.deletePermission(permissionId);
		return new ResponseEntity(map,HttpStatus.OK);
	}
}
