package cn.com.qmth.examcloud.core.basic.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.basic.api.StudentCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.StudentReq;
import cn.com.qmth.examcloud.core.basic.dao.StudentRepo;
import cn.com.qmth.examcloud.core.basic.dao.UserRepo;
import cn.com.qmth.examcloud.core.basic.dao.entity.Student;
import cn.com.qmth.examcloud.core.basic.service.impl.StudentService;

@RestController
@RequestMapping("${$rmp}" + "student")
public class StudentCloudServiceProvider extends ControllerSupport implements StudentCloudService {

	@Autowired
	private UserRepo userRepo;

	@Autowired
	private StudentService studentService;

	@Autowired
	private StudentRepo studentRepo;

	@Override
	public void saveStudent(StudentReq studentReq) {
		Student oldStudent = studentRepo.findByIdentityNumber(studentReq.getIdentityNumber());
		if (oldStudent == null) {
			Student student = new Student();
			student.setName(studentReq.getName());
			student.setIdentityNumber(studentReq.getIdentityNumber());
			student.setStudentCode(studentReq.getStudentCode());
			student.setOrgId(studentReq.getOrgId());
			studentRepo.save(student);
		} else {
			oldStudent.setOrgId(studentReq.getOrgId());
			oldStudent.setRootOrgId(studentReq.getRootOrgId());
			studentRepo.save(oldStudent);
		}
	}

}
