package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.examcloud.core.basic.dao.entity.OrgFunction;
import cn.com.qmth.examcloud.core.basic.dao.entity.OrgFunctionPK;

public interface OrgFunctionRepo
		extends JpaRepository<OrgFunction, OrgFunctionPK>, QueryByExampleExecutor<OrgFunction> {

	@Query(nativeQuery = true, value = "SELECT * from ecs_core_function x,ecs_core_org_function y where x.id=y.function_id and y.org_id = :orgId")
	List<OrgFunction> getOrgFunctions(@Param("orgId") long orgId);

	@Transactional
	@Modifying
	@Query(value = "delete from ecs_core_org_function  where org_id =?1", nativeQuery = true)
	void deleteAllOrgFunctions(Long orgId);

	@Transactional
	@Modifying
	@Query(value = "insert into ecs_core_org_function (org_id,function_id) values(?1,?2)", nativeQuery = true)
	void addOrgFunction(Long orgId, Long funcId);

}
