package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.StudentFaceInfo;

public interface StudentFaceInfoRepo extends JpaRepository<StudentFaceInfo,Long>,QueryByExampleExecutor<StudentFaceInfo>{

	StudentFaceInfo findByStudentId(Long studentId);

	
	List<StudentFaceInfo> findByFaceSetToken(String faceSetToken);

	@Query(nativeQuery = true,value = "select count(*) from ecs_core_student_face_info t where t.face_set_token = ?1")
	Long countByFaceSetToken(String faceSet);
}
