package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.helpers.tree.TreeNode;
import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 权限
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_PRIVILEGE")
public class Privilege extends JpaEntity implements TreeNode {

	private static final long serialVersionUID = -6288949236298877031L;

	/**
	 * 权限ID
	 */
	@Id
	@GeneratedValue
	private Long id;

	/**
	 * 权限码
	 */
	@Column(unique = true, nullable = false)
	private String code;

	/**
	 * 权限名称
	 */
	@Column(unique = false, nullable = false)
	private String name;

	/**
	 * 父权限ID
	 */
	private Long parentId;

	/**
	 * 组(权限分组,同一组的权限构成权限树)
	 */
	@Column(unique = false, nullable = false)
	private Long groupId;

	/**
	 * 描述
	 */
	@Column(unique = false, nullable = true)
	private String description;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext1;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext2;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext3;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext4;

	/**
	 * 扩展属性
	 */
	@Column(unique = false, nullable = true)
	private String ext5;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getParentId() {
		return parentId;
	}

	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}

	public Long getGroupId() {
		return groupId;
	}

	public void setGroupId(Long groupId) {
		this.groupId = groupId;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getExt1() {
		return ext1;
	}

	public void setExt1(String ext1) {
		this.ext1 = ext1;
	}

	public String getExt2() {
		return ext2;
	}

	public void setExt2(String ext2) {
		this.ext2 = ext2;
	}

	public String getExt3() {
		return ext3;
	}

	public void setExt3(String ext3) {
		this.ext3 = ext3;
	}

	public String getExt4() {
		return ext4;
	}

	public void setExt4(String ext4) {
		this.ext4 = ext4;
	}

	public String getExt5() {
		return ext5;
	}

	public void setExt5(String ext5) {
		this.ext5 = ext5;
	}

	@Override
	public String getTreeId() {
		if (null == this.id) {
			return null;
		}
		return String.valueOf(this.id);
	}

	@Override
	public void setTreeId(String treeId) {
		if (null == treeId) {
			this.id = null;
		}
		this.id = Long.parseLong(treeId);
	}

	@Override
	public String getTreeName() {
		if (null == this.name) {
			return null;
		}
		return String.valueOf(this.name);
	}

	@Override
	public void setTreeName(String treeName) {
		this.name = treeName;
	}

	@Override
	public String getParentTreeId() {
		if (null == this.parentId) {
			return null;
		}
		return String.valueOf(this.parentId);
	}

	@Override
	public void setParentTreeId(String parentTreeId) {
		if (null == parentTreeId) {
			this.parentId = null;
		}
		this.parentId = Long.parseLong(parentTreeId);
	}

}
