package cn.com.qmth.examcloud.core.basic.dao.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import org.springframework.format.annotation.DateTimeFormat;

import cn.com.qmth.examcloud.commons.base.util.excel.ExcelProperty;

/**
 * @Description: 专业
 * @author  weiwenhai
 * @date    2017年8月7号
 */
@Entity
@Table(name = "ecs_core_specialty")
public class Specialty implements Serializable{

	private static final long serialVersionUID = 239263456816448160L;
	
	@Id
	@GeneratedValue
	private Long id;
	
	@ExcelProperty(index = 1)
	@NotNull
	private String code;

	@ExcelProperty(index = 0)
	@NotNull
	private String name;
	
	@NotNull
	private Long orgId;
	
	@DateTimeFormat
	private Date createTime;
	
	@DateTimeFormat
	private Date updateTime;
	
	private Boolean enable;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public Specialty(String code, String name) {
		this.code = code;
		this.name = name;
	}

	public Specialty() {
	}
}
