package cn.com.qmth.examcloud.core.basic.dao.entity;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

import org.springframework.format.annotation.DateTimeFormat;

import cn.com.qmth.examcloud.core.basic.dao.enums.Gender;
import cn.com.qmth.examcloud.core.basic.dao.enums.UserScope;
import cn.com.qmth.examcloud.core.basic.dao.enums.UserType;

/**
 * Created by songyue on 17/1/13.
 */
@Entity
@Table(name = "ecs_core_user")
public class User implements Serializable{

    private static final long serialVersionUID = 9190180279768027647L;

    @Id
    @GeneratedValue
    private Long id;

    private Long rootOrgId;

    private Long orgId;

    @NotNull
    private String name;
    
    @NotNull
    private String loginName;

    @NotNull
    private String password;

    private String mobile;

    @Enumerated(EnumType.STRING)
    private Gender gender;

    @NotNull
    @Enumerated(EnumType.STRING)
    private UserScope scope;

    private String avatar;

    @NotNull
    @Enumerated(EnumType.STRING)
    private UserType type;

    @NotNull
    private Boolean enable;

    @OneToMany(cascade = { CascadeType.ALL })
    @JoinColumn(name="user_id")
    private List<UserRole> userRoles;

    @Temporal(value = TemporalType.DATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @Temporal(value = TemporalType.DATE)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Gender getGender() {
        return gender;
    }

    public void setGender(Gender gender) {
        this.gender = gender;
    }

    public UserScope getScope() {
        return scope;
    }

    public void setScope(UserScope scope) {
        this.scope = scope;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public UserType getType() {
        return type;
    }

    public void setType(UserType type) {
        this.type = type;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public List<UserRole> getUserRoles() {
        return userRoles;
    }

    public void setUserRoles(List<UserRole> userRoles) {
        this.userRoles = userRoles;
    }

    public User() {
    }
    
    public User(String name,UserScope scope,Long rootOrgId,Long orgId,UserType type) {
    	this.name = name;
    	this.scope = scope;
    	this.rootOrgId = rootOrgId;
    	this.orgId = orgId;
    	this.type = type;
    	this.createTime = new Date();
    }
}
