package cn.com.qmth.examcloud.core.basic.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.qmth.commons.dataSync.core.service.DataSyncService;

import cn.com.qmth.examcloud.common.dto.core.CourseSync;
import cn.com.qmth.examcloud.common.dto.core.OrgSync;
import cn.com.qmth.examcloud.common.dto.core.SpecialtySync;
import cn.com.qmth.examcloud.common.dto.core.StudentSync;
import cn.com.qmth.examcloud.commons.base.util.BeanCopierUtil;
import cn.com.qmth.examcloud.core.basic.dao.entity.Course;
import cn.com.qmth.examcloud.core.basic.dao.entity.Org;
import cn.com.qmth.examcloud.core.basic.dao.entity.Specialty;
import cn.com.qmth.examcloud.core.basic.dao.entity.Student;

/**
 * Created by songyue on 17/8/3.
 */
@Service
public class DataSendService {

    @Autowired
    DataSyncService dataSyncService;

    public void sendCourse(Course course){
        CourseSync courseSync = BeanCopierUtil.copyProperties(course,CourseSync.class);
        dataSyncService.send(courseSync);
    }

    public void sendOrg(Org org){
        OrgSync orgSync = BeanCopierUtil.copyProperties(org,OrgSync.class);
        dataSyncService.send(orgSync);
    }
    
    public void sendStudent(Student student){
    	StudentSync studentSync = BeanCopierUtil.copyProperties(student,StudentSync.class);
        dataSyncService.send(studentSync);
    }
    
    public void sendSpecialty(Specialty specialty){
    	SpecialtySync specialtySync = BeanCopierUtil.copyProperties(specialty,SpecialtySync.class);
        dataSyncService.send(specialtySync);
    }
}
