package cn.com.qmth.examcloud.core.basic.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.basic.dao.FaceSetTokenRepo;
import cn.com.qmth.examcloud.core.basic.dao.entity.FaceSetToken;

/**
 * @author  	chenken
 * @date    	2018年1月23日 上午11:05:49
 * @company 	QMTH
 * @description FaceSetTokenService.java
 */
@Service("faceSetTokenService")
public class FaceSetTokenService {
	
	@Autowired
	private FaceSetTokenRepo faceSetTokenRepo;
	
	@Autowired
	private StudentFaceInfoService studentFaceInfoService;
	
	/**
	 * 获取可用的faceSet
	 * @return
	 */
	public String getEnableFaceSet(){
		List<FaceSetToken> faceSetList = faceSetTokenRepo.findAll();
		for(FaceSetToken faceSetToken:faceSetList){
			String faceSet = faceSetToken.getFaceSetToken();
			if(studentFaceInfoService.judgeFaceSetIsAvailable(faceSet)){
				return faceSet;
			}
		}
		return null;
	}
	
}

