package cn.com.qmth.examcloud.core.basic.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.PathVariable;

@Service
public class OrgConfigService {

	@Autowired
	private JdbcTemplate jdbcTemplate;

	/**
	 * @param id
	 * @param key
	 * @return
	 */
	public String getOrgConfig(@PathVariable Long id, @PathVariable String key) {

		List<Map<String, Object>> dataList = jdbcTemplate
				.queryForList(" SELECT t.value from ecs_core_org_config t where t.org_id=? and t.key=?", id, key);

		String value = "";
		if (1 == dataList.size()) {
			Map<String, Object> map = dataList.get(0);
			value = (String) map.get("value");
		}

		return value;
	}

	/**
	 * @param orgId
	 * @param key
	 * @param value
	 */
	public void setOrgConfig(Long orgId, String key, String value) {

		jdbcTemplate.update(
				"INSERT INTO ecs_core_org_config (org_id,`key`,`value`) VALUES (?,?,?) ON DUPLICATE KEY UPDATE `value`=?", orgId,
				key, value, value);
	}

}
